# include "stdio.h"
# define U(x) ((unsigned char)(x))
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX 200
# define output(c) (void)putc(c,yyout)
#if defined(__cplusplus) || defined(__STDC__)

#ifdef __cplusplus
extern "C" {
#endif
	int yylex(void);
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
#ifndef yyless
	void yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef __cplusplus
}
#endif

#endif

# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO (void)fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
# define comment 2


# line 9 "../../../frontEnd/src/java2dep/javalexer.l"
/*  From hpf2dep */

#ifdef HAVE_CONFIG_H
#include <config.h>                     /* config header file */
#endif

#ifdef STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#else
#include <strings.h>
#endif

#include <stdio.h>
#include "keywords.h"
#   include "typedef.h"
#   include "bif.h"
#   include "ll.h"
#   include "symb.h"

#include "defnodes.h"


# line 31 "../../../frontEnd/src/java2dep/javalexer.l"
/***********/

#include "javaDparser.tab.h"

extern  int  lineNum_g,lineNum_l;
extern  int  debugFlag_g;
extern  FILE *inf_ptr;

char *copys();

extern int parloop;   /* PARLOOP */

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
   yyin=inf_ptr;
                    /* zheng.gb 1996.5.29 */

#ifdef YYTEXT_IS_POINTER
#ifdef IS_UNSIGNED_CHAR
   yytext = (unsigned char *) calloc(1,(unsigned)0x400);
#else
   yytext = (char *) calloc(1,(unsigned)0x400);
#endif
#endif

while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 83 "../../../frontEnd/src/java2dep/javalexer.l"
{
   ; 
}
break;
case 2:

# line 88 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   if(debugFlag_g == 1)
      printf("(comment//,)\n"); 
   lineNum_g++;
   lineNum_l++;
}
break;
case 3:

# line 95 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   if(debugFlag_g == 1)
      printf("(comment/* begin,)");
   BEGIN comment; 
}
break;
case 4:

# line 101 "../../../frontEnd/src/java2dep/javalexer.l"
{
   if(debugFlag_g == 1)
      printf("(comment... %s)",yytext);
}
break;
case 5:

# line 106 "../../../frontEnd/src/java2dep/javalexer.l"
{
   if(debugFlag_g == 1)
      printf("(comment... %s)",yytext);
}
break;
case 6:

# line 111 "../../../frontEnd/src/java2dep/javalexer.l"
{
   lineNum_g++;
   lineNum_l++;
}
break;
case 7:

# line 116 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   int i;
   if(debugFlag_g == 1)
      printf("(comment*/end,)\n");
   for(i=0;yytext[i]!='\0';i++)
      if (yytext[i] == '\n')
        {
         lineNum_g++;
         lineNum_l++;
         }
   BEGIN 0; 
}
break;
case 8:

# line 129 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   /* javar_out(0, "Unexpected <EOF> in comment"); */
   BEGIN 0;
   printf(" Unexpected <EOF> in comment \n" );
}
break;
case 9:

# line 135 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   lineNum_g++;
   lineNum_l++;
}
break;
case 10:

# line 140 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
  /* javar_out(0, "%s : Sorry, unicode escapes "
			          "are not supported\n", yytext); */
   if(debugFlag_g==1)
         printf("(Unicode),");
   return XXX_;
}
break;
case 11:

# line 148 "../../../frontEnd/src/java2dep/javalexer.l"
  return EQ_;
break;
case 12:

# line 149 "../../../frontEnd/src/java2dep/javalexer.l"
  return LE_;
break;
case 13:

# line 150 "../../../frontEnd/src/java2dep/javalexer.l"
  return GE_;
break;
case 14:

# line 151 "../../../frontEnd/src/java2dep/javalexer.l"
  return NE_;
break;
case 15:

# line 152 "../../../frontEnd/src/java2dep/javalexer.l"
  return AND_;
break;
case 16:

# line 153 "../../../frontEnd/src/java2dep/javalexer.l"
  return OR_;
break;
case 17:

# line 154 "../../../frontEnd/src/java2dep/javalexer.l"
  return PP_;
break;
case 18:

# line 155 "../../../frontEnd/src/java2dep/javalexer.l"
  return MM_;
break;
case 19:

# line 157 "../../../frontEnd/src/java2dep/javalexer.l"
  return LL_;
break;
case 20:

# line 158 "../../../frontEnd/src/java2dep/javalexer.l"
  return RR_;
break;
case 21:

# line 159 "../../../frontEnd/src/java2dep/javalexer.l"
 return RRR_;
break;
case 22:

# line 161 "../../../frontEnd/src/java2dep/javalexer.l"
  return PIS_;
break;
case 23:

# line 162 "../../../frontEnd/src/java2dep/javalexer.l"
  return MINIS_;
break;
case 24:

# line 163 "../../../frontEnd/src/java2dep/javalexer.l"
  return MULIS_;
break;
case 25:

# line 164 "../../../frontEnd/src/java2dep/javalexer.l"
  return DIS_;
break;
case 26:

# line 165 "../../../frontEnd/src/java2dep/javalexer.l"
  return ANDIS_;
break;
case 27:

# line 166 "../../../frontEnd/src/java2dep/javalexer.l"
  return ORIS_;
break;
case 28:

# line 167 "../../../frontEnd/src/java2dep/javalexer.l"
  return UIS_;
break;
case 29:

# line 168 "../../../frontEnd/src/java2dep/javalexer.l"
  return IDIVIS_;
break;
case 30:

# line 169 "../../../frontEnd/src/java2dep/javalexer.l"
 return LLIS_;
break;
case 31:

# line 170 "../../../frontEnd/src/java2dep/javalexer.l"
 return RRIS_;
break;
case 32:

# line 171 "../../../frontEnd/src/java2dep/javalexer.l"
return RRRIS_;
break;
case 33:

# line 173 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   /* yylval.expr = make_nul_lit(); */
   return NULL_LITERAL;
}
break;
case 34:

# line 178 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   return BOOL_TRUE_LITERAL;
}
break;
case 35:

# line 181 "../../../frontEnd/src/java2dep/javalexer.l"
{ 
   return BOOL_FALSE_LITERAL;
}
break;
case 36:

# line 185 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   char *temp=copys(yytext);
   int i;
   for(i=0;i<strlen(yytext)-2;i++)
      temp[i]=yytext[i+1];
   temp[i]='\0';
   yylval.charp=copys(temp);
   return(STRING_LITERAL);
}
break;
case 37:

# line 195 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   char *temp=copys(yytext);
   int i;
   for(i=0;i<strlen(yytext)-2;i++)
      temp[i]=yytext[i+1];
   temp[i]='\0';
   yylval.charp=copys(temp);
   return(CHAR_LITERAL); 
}
break;
case 38:

# line 205 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   yylval.charp=copys(yytext);
   return(REAL_LITERAL);
}
break;
case 39:

# line 210 "../../../frontEnd/src/java2dep/javalexer.l"
{
   yylval.charp=copys(yytext);
   return(DOUBLE_LITERAL);
}
break;
case 40:

# line 215 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   yylval.charp=copys(yytext);
   return(INT_DEC_LITERAL);
}
break;
case 41:

# line 220 "../../../frontEnd/src/java2dep/javalexer.l"
{
   yylval.charp=copys(yytext);
   return(INT_OCT_LITERAL);
}
break;
case 42:

# line 225 "../../../frontEnd/src/java2dep/javalexer.l"
 {
   yylval.charp=copys(yytext);
   return(INT_HEX_LITERAL);
}
break;
case 43:

# line 230 "../../../frontEnd/src/java2dep/javalexer.l"
{
   return(keynameDeal_m(yytext));
}
break;
case 44:

# line 235 "../../../frontEnd/src/java2dep/javalexer.l"
            { return yytext[0]; }
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

#ifndef yywrap
yywrap()
{ 
   return 1; 
}
#endif

/*   int searchKey_m(char name[40],char tab[47][15],int limit)  */
int searchKey_m(name,tab,limit)
char name[40];
char tab[47][15];
{
   int i=0;
   int flag=0;

   do
    {
        if(strcmp(name,tab[i])==0)
            flag=1;
        else
             i++;
    }while (!((flag==1)||(i==limit))) ;
    return(i);
}

/*   int keynameDeal_m(char name[40])   */
int keynameDeal_m(name)
char name[40];
{
   int i;
   int returnValue_m;
   char chara;

   yylval.charp=copys( name );

   if((i=searchKey_m(name,KEY_WORD_G,KEY_WORD_LIMIT_G))<KEY_WORD_LIMIT_G)
      {
       if(debugFlag_g==1)
            printf("(keyword: %s  %d)\n",name,i);
       returnValue_m=ABSTRACT+i; 
       return(returnValue_m);
       }
   else
      {
       if(debugFlag_g==1)
             printf("(It's a identifier_name: %s)\n",name);
       return(IDENTIFIER);
       }
}
int yyvstop[] = {
0,

4,
0,

4,
0,

4,
0,

4,
0,

44,
0,

1,
44,
0,

9,
0,

44,
0,

44,
0,

43,
44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

40,
44,
0,

40,
44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

43,
44,
0,

43,
44,
0,

43,
44,
0,

44,
0,

4,
44,
0,

1,
4,
44,
0,

6,
9,
0,

4,
44,
0,

4,
44,
0,

4,
43,
44,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

5,
44,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

4,
40,
44,
0,

4,
40,
44,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

4,
44,
0,

4,
43,
44,
0,

4,
43,
44,
0,

4,
43,
44,
0,

4,
44,
0,

1,
0,

14,
0,

36,
0,

43,
0,

29,
0,

15,
0,

26,
0,

37,
0,

24,
0,

17,
0,

22,
0,

18,
0,

23,
0,

38,
39,
0,

3,
0,

25,
0,

38,
39,
0,

41,
0,

42,
0,

40,
0,

40,
0,

19,
0,

12,
0,

11,
0,

13,
0,

20,
0,

28,
0,

43,
0,

43,
0,

43,
0,

27,
0,

16,
0,

4,
0,

1,
4,
0,

4,
14,
0,

4,
0,

4,
36,
0,

4,
43,
0,

4,
29,
0,

4,
15,
0,

4,
26,
0,

4,
0,

4,
37,
0,

5,
0,

7,
0,

5,
24,
0,

4,
17,
0,

4,
22,
0,

4,
18,
0,

4,
23,
0,

4,
38,
39,
0,

4,
0,

4,
25,
0,

4,
38,
39,
0,

4,
41,
0,

4,
0,

4,
0,

4,
0,

4,
42,
0,

4,
40,
0,

4,
40,
0,

4,
19,
0,

4,
12,
0,

4,
11,
0,

4,
13,
0,

4,
20,
0,

4,
0,

4,
28,
0,

4,
43,
0,

4,
43,
0,

4,
43,
0,

4,
27,
0,

4,
16,
0,

38,
39,
0,

38,
39,
0,

2,
0,

41,
0,

39,
0,

38,
0,

42,
0,

30,
0,

31,
0,

21,
0,

43,
0,

43,
0,

43,
0,

4,
38,
39,
0,

4,
0,

4,
38,
39,
0,

4,
41,
0,

4,
0,

4,
39,
0,

4,
0,

4,
38,
0,

4,
42,
0,

4,
30,
0,

4,
0,

4,
31,
0,

4,
21,
0,

4,
0,

4,
43,
0,

4,
43,
0,

4,
43,
0,

39,
0,

38,
0,

39,
0,

38,
0,

32,
0,

43,
0,

33,
43,
0,

34,
43,
0,

4,
0,

4,
39,
0,

4,
0,

4,
38,
0,

4,
39,
0,

4,
38,
0,

4,
0,

4,
32,
0,

4,
0,

4,
43,
0,

4,
33,
43,
0,

4,
34,
43,
0,

35,
43,
0,

4,
0,

4,
0,

4,
35,
43,
0,

4,
0,

4,
0,

4,
8,
0,

4,
0,

4,
0,

4,
0,

4,
0,

4,
0,

10,
0,

4,
10,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,5,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,6,	1,7,	
0,0,	6,55,	0,0,	0,0,	
6,55,	0,0,	0,0,	31,95,	
31,0,	0,0,	94,0,	95,95,	
95,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,8,	1,9,	
6,55,	1,10,	1,11,	1,12,	
1,13,	0,0,	58,57,	1,14,	
1,15,	0,0,	1,16,	1,17,	
1,18,	1,19,	1,20,	12,61,	
31,0,	64,63,	94,0,	2,8,	
95,0,	1,20,	15,66,	2,11,	
2,12,	1,21,	1,22,	1,23,	
8,56,	16,68,	1,10,	2,16,	
2,17,	1,10,	1,10,	1,10,	
11,60,	14,65,	12,62,	18,71,	
15,67,	1,10,	21,82,	21,83,	
18,72,	16,69,	2,21,	2,22,	
2,23,	22,84,	23,85,	23,86,	
25,88,	29,92,	82,145,	49,0,	
147,175,	1,24,	18,73,	1,25,	
33,0,	36,0,	3,30,	86,146,	
86,147,	148,176,	197,200,	1,26,	
205,207,	26,89,	3,31,	3,32,	
0,0,	37,0,	151,179,	1,27,	
177,193,	0,0,	2,24,	0,0,	
2,25,	1,28,	47,0,	89,149,	
90,150,	150,178,	28,91,	49,0,	
2,26,	1,29,	24,87,	27,90,	
33,0,	36,0,	3,33,	3,34,	
2,27,	3,35,	3,36,	3,37,	
3,38,	37,101,	2,28,	3,39,	
3,40,	37,0,	3,41,	3,42,	
3,43,	3,44,	3,45,	33,96,	
36,100,	91,151,	47,0,	4,33,	
29,93,	3,45,	46,0,	4,36,	
4,37,	3,46,	3,47,	3,48,	
37,102,	96,0,	3,35,	4,41,	
4,42,	3,35,	3,35,	3,35,	
40,0,	47,125,	98,0,	149,177,	
176,192,	3,35,	48,0,	200,203,	
9,57,	207,209,	4,46,	4,47,	
4,48,	0,0,	0,0,	0,0,	
9,57,	9,57,	46,0,	0,0,	
0,0,	3,49,	0,0,	3,50,	
0,0,	96,0,	98,97,	41,0,	
0,0,	50,0,	49,128,	3,51,	
40,0,	40,108,	98,0,	40,94,	
46,123,	46,124,	48,0,	3,52,	
0,0,	9,58,	4,49,	9,57,	
4,50,	3,53,	9,57,	43,0,	
0,0,	9,57,	9,57,	40,109,	
4,51,	3,54,	9,57,	9,57,	
9,57,	48,126,	48,127,	41,0,	
4,52,	50,0,	41,110,	9,57,	
100,0,	101,0,	4,53,	102,0,	
108,0,	0,0,	0,0,	0,0,	
9,57,	10,59,	0,0,	9,57,	
9,57,	9,57,	41,111,	43,71,	
50,129,	0,0,	0,0,	9,57,	
43,113,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	0,0,	
100,0,	101,0,	43,114,	102,0,	
108,0,	104,0,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
0,0,	107,0,	104,103,	9,57,	
10,59,	104,0,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
10,59,	10,59,	10,59,	10,59,	
13,63,	107,0,	54,0,	0,0,	
109,0,	42,0,	107,0,	110,0,	
13,63,	13,63,	17,70,	17,70,	
17,70,	17,70,	17,70,	17,70,	
17,70,	17,70,	17,70,	17,70,	
111,0,	0,0,	114,0,	0,0,	
118,0,	0,0,	0,0,	0,0,	
0,0,	122,0,	0,0,	0,0,	
0,0,	13,63,	54,0,	13,63,	
109,0,	42,0,	13,64,	110,0,	
124,0,	13,63,	13,63,	42,112,	
42,112,	0,0,	13,63,	13,63,	
13,63,	0,0,	0,0,	42,112,	
111,0,	54,133,	114,0,	13,63,	
118,0,	118,156,	70,135,	70,136,	
70,137,	122,0,	118,157,	118,157,	
13,63,	0,0,	125,0,	13,63,	
13,63,	13,63,	118,157,	126,0,	
124,0,	0,0,	19,74,	13,63,	
19,75,	19,75,	19,75,	19,75,	
19,75,	19,75,	19,75,	19,75,	
19,76,	19,76,	123,0,	129,0,	
0,0,	133,0,	70,135,	70,136,	
70,137,	0,0,	134,0,	0,0,	
19,77,	19,78,	125,0,	154,0,	
0,0,	119,0,	20,74,	126,0,	
20,80,	20,80,	20,80,	20,80,	
20,80,	20,80,	20,80,	20,80,	
20,80,	20,80,	70,137,	0,0,	
54,134,	155,0,	123,0,	129,0,	
127,0,	133,0,	160,0,	13,63,	
20,77,	20,78,	134,0,	30,94,	
19,77,	19,78,	0,0,	154,0,	
20,81,	119,0,	119,158,	30,94,	
30,0,	123,161,	161,0,	119,159,	
119,159,	0,0,	0,0,	0,0,	
163,0,	123,162,	0,0,	119,159,	
19,79,	155,0,	0,0,	34,97,	
127,0,	141,173,	160,0,	141,173,	
20,77,	20,78,	162,0,	34,97,	
30,94,	0,0,	30,94,	0,0,	
20,81,	30,94,	0,0,	0,0,	
30,0,	30,94,	161,0,	127,163,	
127,164,	30,94,	30,94,	30,94,	
163,0,	123,94,	35,0,	164,0,	
184,0,	0,0,	30,94,	0,0,	
34,98,	141,173,	34,97,	141,173,	
0,0,	34,97,	162,0,	30,94,	
0,0,	34,97,	30,94,	30,94,	
30,94,	34,97,	34,97,	34,97,	
185,0,	0,0,	30,94,	165,0,	
35,99,	0,0,	34,97,	187,0,	
0,0,	141,173,	35,0,	164,0,	
184,0,	38,103,	0,0,	34,97,	
35,99,	35,99,	34,97,	34,97,	
34,97,	38,103,	0,0,	0,0,	
35,99,	199,0,	34,97,	162,186,	
0,0,	0,0,	164,187,	0,0,	
185,0,	35,99,	201,0,	165,0,	
35,99,	35,99,	35,99,	187,0,	
44,0,	143,174,	0,0,	143,174,	
35,99,	0,0,	38,103,	0,0,	
38,103,	0,0,	30,94,	38,104,	
194,0,	0,0,	39,105,	38,103,	
0,0,	199,0,	188,0,	38,103,	
38,103,	38,103,	39,105,	39,0,	
0,0,	0,0,	201,0,	0,0,	
38,103,	0,0,	0,0,	186,0,	
44,0,	143,174,	34,97,	143,174,	
44,115,	38,103,	44,116,	44,116,	
38,103,	38,103,	38,103,	0,0,	
194,0,	165,188,	44,117,	39,105,	
38,103,	39,105,	188,0,	0,0,	
39,105,	212,0,	45,0,	39,0,	
39,105,	143,174,	44,118,	44,119,	
39,106,	39,105,	39,105,	186,0,	
194,198,	152,0,	0,0,	199,202,	
0,0,	39,105,	0,0,	0,0,	
0,0,	170,173,	39,107,	170,173,	
51,0,	202,0,	39,105,	0,0,	
0,0,	39,105,	39,105,	39,105,	
0,0,	212,0,	45,0,	0,0,	
0,0,	39,105,	45,115,	186,194,	
45,121,	45,121,	198,0,	0,0,	
38,103,	152,0,	152,180,	0,0,	
45,121,	52,0,	51,99,	152,181,	
152,181,	170,173,	0,0,	170,173,	
51,0,	202,0,	44,120,	152,181,	
45,118,	45,119,	51,99,	51,99,	
153,0,	0,0,	208,0,	53,0,	
45,122,	206,0,	51,99,	186,94,	
0,0,	188,195,	198,0,	52,99,	
0,0,	170,173,	0,0,	51,99,	
0,0,	52,0,	51,99,	51,99,	
51,99,	39,105,	0,0,	52,99,	
52,99,	0,0,	51,99,	0,0,	
0,0,	53,99,	198,201,	52,99,	
153,0,	153,182,	208,0,	53,0,	
0,0,	206,0,	153,183,	153,183,	
52,99,	53,99,	53,99,	52,99,	
52,99,	52,99,	153,183,	51,130,	
72,72,	53,99,	172,174,	52,99,	
172,174,	0,0,	0,0,	0,0,	
72,72,	72,138,	53,99,	156,0,	
0,0,	53,99,	53,99,	53,99,	
0,0,	77,140,	0,0,	77,140,	
202,204,	53,99,	77,141,	77,141,	
77,141,	77,141,	77,141,	77,141,	
77,141,	77,141,	77,141,	77,141,	
0,0,	72,72,	172,174,	72,72,	
172,174,	0,0,	72,72,	206,208,	
0,0,	72,72,	72,72,	156,0,	
52,131,	0,0,	72,72,	72,72,	
72,72,	156,157,	156,157,	0,0,	
0,0,	0,0,	0,0,	72,72,	
0,0,	156,157,	172,174,	53,132,	
0,0,	208,210,	0,0,	0,0,	
72,72,	0,0,	0,0,	72,72,	
72,72,	72,72,	0,0,	0,0,	
0,0,	0,0,	0,0,	72,72,	
74,74,	74,74,	74,74,	74,74,	
74,74,	74,74,	74,74,	74,74,	
74,74,	74,74,	75,75,	75,75,	
75,75,	75,75,	75,75,	75,75,	
75,75,	75,75,	75,76,	75,76,	
74,135,	74,136,	74,137,	76,74,	
0,0,	76,76,	76,76,	76,76,	
76,76,	76,76,	76,76,	76,76,	
76,76,	76,76,	76,76,	0,0,	
0,0,	0,0,	75,139,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	76,77,	76,78,	72,72,	
0,0,	0,0,	0,0,	0,0,	
74,135,	74,136,	74,137,	78,142,	
0,0,	78,142,	0,0,	0,0,	
78,143,	78,143,	78,143,	78,143,	
78,143,	78,143,	78,143,	78,143,	
78,143,	78,143,	75,139,	0,0,	
0,0,	0,0,	0,0,	0,0,	
74,137,	76,77,	76,78,	79,79,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	79,79,	79,79,	
79,79,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	0,0,	135,169,	
0,0,	135,169,	0,0,	79,144,	
135,170,	135,170,	135,170,	135,170,	
135,170,	135,170,	135,170,	135,170,	
135,170,	135,170,	140,141,	140,141,	
140,141,	140,141,	140,141,	140,141,	
140,141,	140,141,	140,141,	140,141,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	0,0,	0,0,	
0,0,	0,0,	0,0,	79,144,	
87,148,	87,148,	87,148,	87,148,	
87,148,	87,148,	87,148,	87,148,	
87,148,	87,148,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	87,148,	87,148,	87,148,	
87,148,	87,148,	87,148,	97,97,	
0,0,	0,0,	0,0,	136,171,	
0,0,	136,171,	0,0,	97,97,	
136,172,	136,172,	136,172,	136,172,	
136,172,	136,172,	136,172,	136,172,	
136,172,	136,172,	99,0,	0,0,	
0,0,	0,0,	0,0,	112,0,	
0,0,	87,148,	87,148,	87,148,	
87,148,	87,148,	87,148,	0,0,	
97,98,	158,0,	97,97,	0,0,	
0,0,	97,97,	0,0,	0,0,	
0,0,	97,97,	0,0,	0,0,	
99,99,	97,97,	97,97,	97,97,	
0,0,	0,0,	99,0,	0,0,	
103,103,	0,0,	97,97,	112,0,	
99,99,	99,99,	0,0,	0,0,	
103,103,	112,112,	112,112,	97,97,	
99,99,	158,0,	97,97,	97,97,	
97,97,	112,112,	0,0,	158,159,	
158,159,	99,99,	97,97,	0,0,	
99,99,	99,99,	99,99,	158,159,	
0,0,	112,152,	112,153,	112,154,	
99,99,	103,103,	0,0,	103,103,	
0,0,	0,0,	103,104,	0,0,	
0,0,	105,105,	103,103,	0,0,	
0,0,	0,0,	103,103,	103,103,	
103,103,	105,105,	105,0,	0,0,	
0,0,	0,0,	0,0,	103,103,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
103,103,	113,113,	0,0,	103,103,	
103,103,	103,103,	97,97,	0,0,	
0,0,	113,113,	105,105,	103,103,	
105,105,	0,0,	0,0,	105,105,	
0,0,	0,0,	105,0,	105,105,	
0,0,	112,154,	0,0,	105,0,	
105,105,	105,105,	0,0,	0,0,	
115,0,	0,0,	0,0,	0,0,	
105,105,	0,0,	113,113,	0,0,	
113,113,	0,0,	0,0,	113,113,	
0,0,	105,105,	0,0,	113,113,	
105,105,	105,105,	105,105,	113,113,	
113,113,	113,113,	0,0,	0,0,	
105,105,	116,0,	0,0,	0,0,	
113,113,	0,0,	117,0,	103,103,	
115,0,	0,0,	0,0,	120,0,	
0,0,	113,113,	115,115,	115,115,	
113,113,	113,113,	113,113,	0,0,	
0,0,	0,0,	115,115,	0,0,	
113,113,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	116,0,	115,152,	115,153,	
115,154,	116,115,	117,0,	116,116,	
116,116,	128,0,	117,115,	120,0,	
117,117,	117,117,	121,0,	116,117,	
105,105,	120,120,	120,120,	0,0,	
117,117,	0,0,	0,0,	0,0,	
0,0,	120,120,	0,0,	116,118,	
116,119,	0,0,	0,0,	0,0,	
117,118,	117,119,	120,120,	116,155,	
0,0,	120,120,	120,120,	120,120,	
113,113,	128,0,	0,0,	0,0,	
130,0,	120,160,	121,0,	128,165,	
128,165,	157,0,	121,115,	0,0,	
121,121,	121,121,	0,0,	128,165,	
0,0,	0,0,	115,154,	131,0,	
121,121,	0,0,	0,0,	0,0,	
128,165,	0,0,	0,0,	128,165,	
128,165,	128,165,	130,99,	0,0,	
121,118,	121,119,	132,0,	0,0,	
130,0,	0,0,	0,0,	0,0,	
121,122,	157,0,	130,99,	130,99,	
0,0,	131,99,	0,0,	157,157,	
157,157,	180,0,	130,99,	131,0,	
0,0,	0,0,	0,0,	157,157,	
0,0,	131,99,	131,99,	130,99,	
132,99,	0,0,	130,99,	130,99,	
130,99,	131,99,	132,0,	157,184,	
0,0,	157,184,	130,99,	0,0,	
132,99,	132,99,	131,99,	0,0,	
0,0,	131,99,	131,99,	131,99,	
132,99,	180,0,	159,0,	0,0,	
0,0,	131,99,	0,0,	180,181,	
180,181,	132,99,	0,0,	0,0,	
132,99,	132,99,	132,99,	180,181,	
0,0,	0,0,	166,0,	0,0,	
132,99,	0,0,	130,166,	142,143,	
142,143,	142,143,	142,143,	142,143,	
142,143,	142,143,	142,143,	142,143,	
142,143,	167,0,	159,0,	0,0,	
182,0,	131,167,	0,0,	0,0,	
159,159,	159,159,	0,0,	157,184,	
166,99,	0,0,	0,0,	0,0,	
159,159,	0,0,	166,0,	181,0,	
0,0,	0,0,	0,0,	0,0,	
166,99,	166,99,	0,0,	167,99,	
159,185,	132,168,	159,185,	0,0,	
166,99,	167,0,	0,0,	0,0,	
182,0,	168,0,	0,0,	167,99,	
167,99,	166,99,	182,183,	182,183,	
166,99,	166,99,	166,99,	167,99,	
0,0,	0,0,	182,183,	181,0,	
166,99,	0,0,	0,0,	0,0,	
167,99,	181,181,	181,181,	167,99,	
167,99,	167,99,	0,0,	168,99,	
0,0,	181,181,	0,0,	167,99,	
0,0,	168,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	168,99,	
168,99,	181,184,	0,0,	181,184,	
0,0,	0,0,	0,0,	168,99,	
159,185,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	166,189,	
168,99,	183,0,	0,0,	168,99,	
168,99,	168,99,	0,0,	167,190,	
0,0,	0,0,	0,0,	168,99,	
169,170,	169,170,	169,170,	169,170,	
169,170,	169,170,	169,170,	169,170,	
169,170,	169,170,	171,172,	171,172,	
171,172,	171,172,	171,172,	171,172,	
171,172,	171,172,	171,172,	171,172,	
189,0,	183,0,	0,0,	0,0,	
168,191,	0,0,	0,0,	183,183,	
183,183,	181,184,	190,0,	0,0,	
0,0,	0,0,	0,0,	183,183,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	189,99,	183,185,	
0,0,	183,185,	0,0,	0,0,	
189,0,	0,0,	0,0,	191,0,	
190,99,	0,0,	189,99,	189,99,	
0,0,	0,0,	190,0,	0,0,	
0,0,	0,0,	189,99,	0,0,	
190,99,	190,99,	0,0,	0,0,	
0,0,	0,0,	0,0,	189,99,	
190,99,	0,0,	189,99,	189,99,	
189,99,	191,99,	0,0,	0,0,	
0,0,	190,99,	189,99,	191,0,	
190,99,	190,99,	190,99,	0,0,	
0,0,	191,99,	191,99,	0,0,	
190,99,	0,0,	0,0,	0,0,	
0,0,	191,99,	0,0,	183,185,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	191,99,	189,196,	
0,0,	191,99,	191,99,	191,99,	
0,0,	0,0,	0,0,	0,0,	
0,0,	191,99,	192,197,	192,197,	
192,197,	192,197,	192,197,	192,197,	
192,197,	192,197,	192,197,	192,197,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	192,197,	
192,197,	192,197,	192,197,	192,197,	
192,197,	195,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	196,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	192,197,	
192,197,	192,197,	192,197,	192,197,	
192,197,	195,0,	0,0,	0,0,	
0,0,	196,99,	0,0,	195,199,	
195,199,	0,0,	0,0,	196,0,	
0,0,	0,0,	0,0,	195,199,	
0,0,	196,99,	196,99,	0,0,	
0,0,	0,0,	0,0,	0,0,	
195,199,	196,99,	0,0,	195,199,	
195,199,	195,199,	0,0,	0,0,	
0,0,	0,0,	196,99,	0,0,	
0,0,	196,99,	196,99,	196,99,	
0,0,	0,0,	0,0,	0,0,	
0,0,	196,99,	203,205,	203,205,	
203,205,	203,205,	203,205,	203,205,	
203,205,	203,205,	203,205,	203,205,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	203,205,	
203,205,	203,205,	203,205,	203,205,	
203,205,	204,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	203,205,	
203,205,	203,205,	203,205,	203,205,	
203,205,	204,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	204,206,	
204,206,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	204,206,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
204,206,	0,0,	0,0,	204,206,	
204,206,	204,206,	209,211,	209,211,	
209,211,	209,211,	209,211,	209,211,	
209,211,	209,211,	209,211,	209,211,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	209,211,	
209,211,	209,211,	209,211,	209,211,	
209,211,	210,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	209,211,	
209,211,	209,211,	209,211,	209,211,	
209,211,	210,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	210,212,	
210,212,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	210,212,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
210,212,	0,0,	0,0,	210,212,	
210,212,	210,212,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		yyvstop+1,
yycrank+-22,	yysvec+1,	yyvstop+3,
yycrank+-97,	0,		yyvstop+5,
yycrank+-118,	yysvec+3,	yyvstop+7,
yycrank+0,	0,		yyvstop+9,
yycrank+4,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+14,
yycrank+3,	0,		yyvstop+16,
yycrank+-175,	0,		yyvstop+18,
yycrank+205,	0,		yyvstop+20,
yycrank+11,	0,		yyvstop+23,
yycrank+13,	0,		yyvstop+25,
yycrank+-327,	0,		yyvstop+27,
yycrank+12,	0,		yyvstop+29,
yycrank+15,	0,		yyvstop+31,
yycrank+20,	0,		yyvstop+33,
yycrank+290,	0,		yyvstop+35,
yycrank+33,	0,		yyvstop+37,
yycrank+356,	0,		yyvstop+39,
yycrank+384,	0,		yyvstop+42,
yycrank+18,	0,		yyvstop+45,
yycrank+24,	0,		yyvstop+47,
yycrank+25,	0,		yyvstop+49,
yycrank+9,	0,		yyvstop+51,
yycrank+27,	0,		yyvstop+53,
yycrank+8,	yysvec+10,	yyvstop+55,
yycrank+10,	yysvec+10,	yyvstop+58,
yycrank+8,	yysvec+10,	yyvstop+61,
yycrank+28,	0,		yyvstop+64,
yycrank+-454,	0,		yyvstop+66,
yycrank+-10,	yysvec+30,	yyvstop+69,
yycrank+0,	0,		yyvstop+73,
yycrank+-86,	yysvec+30,	yyvstop+76,
yycrank+-478,	yysvec+9,	yyvstop+79,
yycrank+-496,	yysvec+30,	yyvstop+82,
yycrank+-87,	yysvec+30,	yyvstop+86,
yycrank+-99,	yysvec+30,	yyvstop+89,
yycrank+-540,	yysvec+13,	yyvstop+92,
yycrank+-581,	0,		yyvstop+95,
yycrank+-158,	yysvec+30,	yyvstop+98,
yycrank+-185,	yysvec+30,	yyvstop+101,
yycrank+-323,	yysvec+30,	yyvstop+104,
yycrank+-205,	yysvec+30,	yyvstop+107,
yycrank+-558,	yysvec+30,	yyvstop+110,
yycrank+-612,	yysvec+30,	yyvstop+114,
yycrank+-144,	yysvec+30,	yyvstop+118,
yycrank+-108,	yysvec+30,	yyvstop+121,
yycrank+-164,	yysvec+30,	yyvstop+124,
yycrank+-81,	yysvec+30,	yyvstop+127,
yycrank+-187,	yysvec+30,	yyvstop+130,
yycrank+-634,	yysvec+30,	yyvstop+133,
yycrank+-659,	yysvec+30,	yyvstop+137,
yycrank+-677,	yysvec+30,	yyvstop+141,
yycrank+-320,	yysvec+30,	yyvstop+145,
yycrank+0,	yysvec+6,	yyvstop+148,
yycrank+0,	0,		yyvstop+150,
yycrank+0,	yysvec+9,	0,	
yycrank+8,	0,		yyvstop+152,
yycrank+0,	yysvec+10,	yyvstop+154,
yycrank+0,	0,		yyvstop+156,
yycrank+0,	0,		yyvstop+158,
yycrank+0,	0,		yyvstop+160,
yycrank+0,	yysvec+13,	0,	
yycrank+14,	0,		yyvstop+162,
yycrank+0,	0,		yyvstop+164,
yycrank+0,	0,		yyvstop+166,
yycrank+0,	0,		yyvstop+168,
yycrank+0,	0,		yyvstop+170,
yycrank+0,	0,		yyvstop+172,
yycrank+318,	yysvec+17,	yyvstop+174,
yycrank+0,	0,		yyvstop+177,
yycrank+-731,	0,		0,	
yycrank+0,	0,		yyvstop+179,
yycrank+760,	0,		yyvstop+181,
yycrank+770,	yysvec+20,	yyvstop+184,
yycrank+785,	0,		0,	
yycrank+706,	0,		0,	
yycrank+820,	0,		0,	
yycrank+839,	0,		yyvstop+186,
yycrank+0,	yysvec+20,	yyvstop+188,
yycrank+0,	0,		yyvstop+190,
yycrank+29,	0,		yyvstop+192,
yycrank+0,	0,		yyvstop+194,
yycrank+0,	0,		yyvstop+196,
yycrank+0,	0,		yyvstop+198,
yycrank+38,	0,		yyvstop+200,
yycrank+900,	0,		0,	
yycrank+0,	0,		yyvstop+202,
yycrank+11,	yysvec+10,	yyvstop+204,
yycrank+12,	yysvec+10,	yyvstop+206,
yycrank+32,	yysvec+10,	yyvstop+208,
yycrank+0,	0,		yyvstop+210,
yycrank+0,	0,		yyvstop+212,
yycrank+-12,	yysvec+30,	yyvstop+214,
yycrank+-14,	yysvec+30,	yyvstop+216,
yycrank+-151,	yysvec+30,	yyvstop+219,
yycrank+-970,	yysvec+9,	yyvstop+222,
yycrank+-160,	yysvec+30,	yyvstop+224,
yycrank+-980,	yysvec+30,	yyvstop+227,
yycrank+-222,	yysvec+30,	yyvstop+230,
yycrank+-223,	yysvec+30,	yyvstop+233,
yycrank+-225,	yysvec+30,	yyvstop+236,
yycrank+-1023,	yysvec+13,	yyvstop+239,
yycrank+-259,	yysvec+30,	yyvstop+241,
yycrank+-1064,	0,		yyvstop+244,
yycrank+0,	0,		yyvstop+246,
yycrank+-287,	yysvec+105,	yyvstop+248,
yycrank+-226,	yysvec+30,	yyvstop+251,
yycrank+-322,	yysvec+30,	yyvstop+254,
yycrank+-325,	yysvec+30,	yyvstop+257,
yycrank+-338,	yysvec+30,	yyvstop+260,
yycrank+-985,	yysvec+30,	yyvstop+263,
yycrank+-1088,	yysvec+72,	yyvstop+267,
yycrank+-340,	yysvec+30,	yyvstop+269,
yycrank+-1106,	yysvec+30,	yyvstop+272,
yycrank+-1131,	yysvec+30,	yyvstop+276,
yycrank+-1136,	yysvec+30,	yyvstop+279,
yycrank+-342,	yysvec+30,	yyvstop+281,
yycrank+-419,	yysvec+30,	yyvstop+283,
yycrank+-1141,	yysvec+30,	yyvstop+285,
yycrank+-1176,	yysvec+30,	yyvstop+288,
yycrank+-347,	yysvec+30,	yyvstop+291,
yycrank+-404,	yysvec+30,	yyvstop+294,
yycrank+-358,	yysvec+30,	yyvstop+297,
yycrank+-384,	yysvec+30,	yyvstop+300,
yycrank+-389,	yysvec+30,	yyvstop+303,
yycrank+-438,	yysvec+30,	yyvstop+306,
yycrank+-1171,	yysvec+30,	yyvstop+309,
yycrank+-405,	yysvec+30,	yyvstop+311,
yycrank+-1206,	yysvec+30,	yyvstop+314,
yycrank+-1221,	yysvec+30,	yyvstop+317,
yycrank+-1236,	yysvec+30,	yyvstop+320,
yycrank+-407,	yysvec+30,	yyvstop+323,
yycrank+-412,	yysvec+30,	yyvstop+326,
yycrank+868,	0,		yyvstop+329,
yycrank+932,	0,		0,	
yycrank+0,	0,		yyvstop+332,
yycrank+0,	0,		yyvstop+335,
yycrank+0,	0,		yyvstop+337,
yycrank+878,	0,		0,	
yycrank+413,	yysvec+140,	yyvstop+339,
yycrank+1267,	0,		0,	
yycrank+501,	yysvec+142,	yyvstop+341,
yycrank+0,	0,		yyvstop+343,
yycrank+0,	0,		yyvstop+345,
yycrank+0,	0,		yyvstop+347,
yycrank+31,	0,		yyvstop+349,
yycrank+9,	0,		0,	
yycrank+56,	yysvec+10,	yyvstop+351,
yycrank+13,	yysvec+10,	yyvstop+353,
yycrank+9,	yysvec+10,	yyvstop+355,
yycrank+-623,	yysvec+30,	yyvstop+357,
yycrank+-674,	yysvec+30,	yyvstop+361,
yycrank+-417,	yysvec+30,	yyvstop+363,
yycrank+-435,	yysvec+30,	yyvstop+367,
yycrank+-733,	yysvec+30,	yyvstop+370,
yycrank+-1211,	yysvec+30,	yyvstop+372,
yycrank+-995,	yysvec+30,	yyvstop+375,
yycrank+-1284,	yysvec+30,	yyvstop+377,
yycrank+-440,	yysvec+30,	yyvstop+380,
yycrank+-456,	yysvec+30,	yyvstop+383,
yycrank+-476,	yysvec+30,	yyvstop+386,
yycrank+-462,	yysvec+30,	yyvstop+388,
yycrank+-497,	yysvec+30,	yyvstop+391,
yycrank+-521,	yysvec+30,	yyvstop+394,
yycrank+-1300,	yysvec+30,	yyvstop+396,
yycrank+-1315,	yysvec+30,	yyvstop+399,
yycrank+-1351,	yysvec+30,	yyvstop+402,
yycrank+1380,	0,		0,	
yycrank+573,	yysvec+169,	yyvstop+405,
yycrank+1390,	0,		0,	
yycrank+666,	yysvec+171,	yyvstop+407,
yycrank+0,	0,		yyvstop+409,
yycrank+0,	0,		yyvstop+411,
yycrank+0,	0,		yyvstop+413,
yycrank+55,	0,		0,	
yycrank+11,	yysvec+10,	yyvstop+415,
yycrank+0,	yysvec+10,	yyvstop+417,
yycrank+0,	yysvec+10,	yyvstop+420,
yycrank+-1251,	yysvec+30,	yyvstop+423,
yycrank+-1333,	yysvec+30,	yyvstop+425,
yycrank+-1318,	yysvec+30,	yyvstop+428,
yycrank+-1407,	yysvec+30,	yyvstop+430,
yycrank+-498,	yysvec+30,	yyvstop+433,
yycrank+-518,	yysvec+30,	yyvstop+436,
yycrank+-589,	yysvec+30,	yyvstop+439,
yycrank+-525,	yysvec+30,	yyvstop+441,
yycrank+-576,	yysvec+30,	yyvstop+444,
yycrank+-1438,	yysvec+30,	yyvstop+446,
yycrank+-1448,	yysvec+30,	yyvstop+449,
yycrank+-1473,	yysvec+30,	yyvstop+453,
yycrank+1502,	0,		0,	
yycrank+0,	yysvec+10,	yyvstop+457,
yycrank+-570,	yysvec+30,	yyvstop+460,
yycrank+-1563,	yysvec+30,	yyvstop+462,
yycrank+-1573,	yysvec+30,	yyvstop+464,
yycrank+10,	0,		0,	
yycrank+-652,	yysvec+30,	yyvstop+468,
yycrank+-543,	yysvec+30,	yyvstop+470,
yycrank+58,	0,		0,	
yycrank+-552,	yysvec+30,	yyvstop+472,
yycrank+-635,	yysvec+30,	yyvstop+475,
yycrank+1602,	0,		0,	
yycrank+-1663,	yysvec+30,	yyvstop+477,
yycrank+12,	0,		0,	
yycrank+-679,	yysvec+30,	yyvstop+479,
yycrank+60,	0,		0,	
yycrank+-676,	yysvec+30,	yyvstop+481,
yycrank+1686,	0,		0,	
yycrank+-1747,	yysvec+30,	yyvstop+483,
yycrank+0,	0,		yyvstop+485,
yycrank+-611,	yysvec+30,	yyvstop+487,
0,	0,	0};
struct yywork *yytop = yycrank+1817;
struct yysvf *yybgin = yysvec+1;
unsigned char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,011 ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,'"' ,01  ,'$' ,01  ,01  ,047 ,
01  ,01  ,'*' ,'+' ,01  ,'+' ,01  ,'/' ,
'0' ,'1' ,'1' ,'1' ,'1' ,'1' ,'1' ,'1' ,
'8' ,'8' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'A' ,'D' ,'E' ,'F' ,'$' ,
'$' ,'$' ,'$' ,'$' ,'L' ,'$' ,'$' ,'$' ,
'$' ,'$' ,'$' ,'$' ,'$' ,'$' ,'$' ,'$' ,
'$' ,'$' ,'$' ,01  ,01  ,01  ,01  ,'$' ,
01  ,'A' ,'A' ,'A' ,'D' ,'E' ,'F' ,'$' ,
'$' ,'$' ,'$' ,'$' ,'L' ,'$' ,'$' ,'$' ,
'$' ,'$' ,'$' ,'$' ,'$' ,'$' ,'$' ,'$' ,
'$' ,'$' ,'$' ,01  ,'|' ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ident	"$Revision: 1.8 $"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
#ifndef LONGLINES
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
#endif
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (void *)yyt > (void *)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
#ifndef LONGLINES
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
#endif
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((void *)yyt < (void *)yycrank) {	/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
#ifndef LONGLINES
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
#endif
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
#ifndef LONGLINES
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
#endif
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
	return(input());
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
	output(c);
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
